<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [Transport](./sip.js.transport.md) &gt; [isConnected](./sip.js.transport.isconnected.md)

## Transport.isConnected() method

Returns true if the `state` equals "Connected".

<b>Signature:</b>

```typescript
isConnected(): boolean;
```
<b>Returns:</b>

boolean

## Remarks

This is equivalent to `state === TransportState.Connected`<!-- -->. It is convenient. A common paradigm is, for example...

## Example


```ts
// Monitor transport connectivity
userAgent.transport.stateChange.addListener(() => {
  if (userAgent.transport.isConnected()) {
    // handle transport connect
  } else {
    // handle transport disconnect
  }
});
```

