<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [UserAgentOptions](./sip.js.useragentoptions.md)

## UserAgentOptions interface

Options for [UserAgent](./sip.js.useragent.md) constructor.

<b>Signature:</b>

```typescript
export interface UserAgentOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [allowLegacyNotifications](./sip.js.useragentoptions.allowlegacynotifications.md) |  | boolean | If <code>true</code>, the user agent will accept out of dialog NOTIFY. |
|  [authorizationHa1](./sip.js.useragentoptions.authorizationha1.md) |  | string | Authorization ha1. |
|  [authorizationPassword](./sip.js.useragentoptions.authorizationpassword.md) |  | string | Authorization password. |
|  [authorizationUsername](./sip.js.useragentoptions.authorizationusername.md) |  | string | Authorization username. |
|  [autoStart](./sip.js.useragentoptions.autostart.md) |  | boolean |  |
|  [autoStop](./sip.js.useragentoptions.autostop.md) |  | boolean | If <code>true</code>, the user agent calls the <code>stop()</code> method on unload (if running in browser window). |
|  [contactName](./sip.js.useragentoptions.contactname.md) |  | string | The user portion of user agent's contact URI. |
|  [contactParams](./sip.js.useragentoptions.contactparams.md) |  | { \[name: string\]: string; } | The URI parameters of the user agent's contact URI. |
|  [delegate](./sip.js.useragentoptions.delegate.md) |  | [UserAgentDelegate](./sip.js.useragentdelegate.md) | Delegate for [UserAgent](./sip.js.useragent.md)<!-- -->. |
|  [displayName](./sip.js.useragentoptions.displayname.md) |  | string | The display name associated with the user agent. |
|  [forceRport](./sip.js.useragentoptions.forcerport.md) |  | boolean | Force adding rport to Via header. |
|  [hackAllowUnregisteredOptionTags](./sip.js.useragentoptions.hackallowunregisteredoptiontags.md) |  | boolean | Hack |
|  [hackIpInContact](./sip.js.useragentoptions.hackipincontact.md) |  | boolean \| string | Hack |
|  [hackViaTcp](./sip.js.useragentoptions.hackviatcp.md) |  | boolean | Hack |
|  [logBuiltinEnabled](./sip.js.useragentoptions.logbuiltinenabled.md) |  | boolean | Indicates whether log messages should be written to the browser console. |
|  [logConfiguration](./sip.js.useragentoptions.logconfiguration.md) |  | boolean | If true, constructor logs the user agent configuration. |
|  [logConnector](./sip.js.useragentoptions.logconnector.md) |  | [LogConnector](./sip.js.logconnector.md) | A function which will be called every time a log is generated. |
|  [logLevel](./sip.js.useragentoptions.loglevel.md) |  | [LogLevel](./sip.js.loglevel.md) | Indicates the verbosity level of the log messages. |
|  [noAnswerTimeout](./sip.js.useragentoptions.noanswertimeout.md) |  | number | Number of seconds after which an incoming call is rejected if not answered. |
|  [preloadedRouteSet](./sip.js.useragentoptions.preloadedrouteset.md) |  | Array&lt;string&gt; | Adds a Route header(s) to outgoing requests. |
|  [reconnectionAttempts](./sip.js.useragentoptions.reconnectionattempts.md) |  | number |  |
|  [reconnectionDelay](./sip.js.useragentoptions.reconnectiondelay.md) |  | number |  |
|  [sendInitialProvisionalResponse](./sip.js.useragentoptions.sendinitialprovisionalresponse.md) |  | boolean | If true, a first provisional response after the 100 Trying will be sent automatically if UAC does not require reliable provisional responses. |
|  [sessionDescriptionHandlerFactory](./sip.js.useragentoptions.sessiondescriptionhandlerfactory.md) |  | [SessionDescriptionHandlerFactory](./sip.js.sessiondescriptionhandlerfactory.md) | A factory for generating <code>SessionDescriptionHandler</code> instances. |
|  [sessionDescriptionHandlerFactoryOptions](./sip.js.useragentoptions.sessiondescriptionhandlerfactoryoptions.md) |  | object | Options to passed to <code>sessionDescriptionHandlerFactory</code>. |
|  [sipExtension100rel](./sip.js.useragentoptions.sipextension100rel.md) |  | [SIPExtension](./sip.js.sipextension.md) | Reliable provisional responses. https://tools.ietf.org/html/rfc3262 |
|  [sipExtensionExtraSupported](./sip.js.useragentoptions.sipextensionextrasupported.md) |  | Array&lt;string&gt; | Extra option tags to claim support for. |
|  [sipExtensionReplaces](./sip.js.useragentoptions.sipextensionreplaces.md) |  | [SIPExtension](./sip.js.sipextension.md) | Replaces header. https://tools.ietf.org/html/rfc3891 |
|  [sipjsId](./sip.js.useragentoptions.sipjsid.md) |  | string | An id uniquely identify this user agent instance. |
|  [transportConstructor](./sip.js.useragentoptions.transportconstructor.md) |  | new (logger: Logger, options: any) =&gt; [Transport](./sip.js.transport.md) | A constructor function for the user agent's <code>Transport</code>. |
|  [transportOptions](./sip.js.useragentoptions.transportoptions.md) |  | unknown | An options bucket object passed to <code>transportConstructor</code> when instantiated. |
|  [uri](./sip.js.useragentoptions.uri.md) |  | URI | SIP Addresses-of-Record URI associated with the user agent. |
|  [userAgentString](./sip.js.useragentoptions.useragentstring.md) |  | string | User agent string used in the UserAgent header. |
|  [viaHost](./sip.js.useragentoptions.viahost.md) |  | string | Hostname to use in Via header. |

