<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md)

## SessionDescriptionHandler class

A base class implementing a WebRTC session description handler for sip.js.

<b>Signature:</b>

```typescript
export declare class SessionDescriptionHandler implements SessionDescriptionHandlerDefinition 
```
<b>Implements:</b> SessionDescriptionHandlerDefinition

## Remarks

It is expected/intended to be extended by specific WebRTC based applications.

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(logger, mediaStreamFactory, sessionDescriptionHandlerConfiguration)](./sip.js.sessiondescriptionhandler._constructor_.md) |  | Constructor |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_dataChannel](./sip.js.sessiondescriptionhandler._datachannel.md) |  | RTCDataChannel \| undefined | The data channel. Undefined before created. |
|  [\_localMediaStream](./sip.js.sessiondescriptionhandler._localmediastream.md) |  | MediaStream | The local media stream. |
|  [\_peerConnection](./sip.js.sessiondescriptionhandler._peerconnection.md) |  | RTCPeerConnection \| undefined | The peer connection. Undefined after SessionDescriptionHandler.close(). |
|  [\_peerConnectionDelegate](./sip.js.sessiondescriptionhandler._peerconnectiondelegate.md) |  | [PeerConnectionDelegate](./sip.js.peerconnectiondelegate.md) \| undefined | The peer connection delegate. |
|  [\_remoteMediaStream](./sip.js.sessiondescriptionhandler._remotemediastream.md) |  | MediaStream | The remote media stream. |
|  [dataChannel](./sip.js.sessiondescriptionhandler.datachannel.md) |  | RTCDataChannel \| undefined | The data channel. Undefined before it is created. |
|  [localMediaStream](./sip.js.sessiondescriptionhandler.localmediastream.md) |  | MediaStream | The local media stream currently being sent. |
|  [logger](./sip.js.sessiondescriptionhandler.logger.md) |  | Logger | Logger. |
|  [mediaStreamFactory](./sip.js.sessiondescriptionhandler.mediastreamfactory.md) |  | [MediaStreamFactory](./sip.js.mediastreamfactory.md) | Media stream factory. |
|  [peerConnection](./sip.js.sessiondescriptionhandler.peerconnection.md) |  | RTCPeerConnection \| undefined | The peer connection. Undefined if peer connection has closed. |
|  [peerConnectionDelegate](./sip.js.sessiondescriptionhandler.peerconnectiondelegate.md) |  | [PeerConnectionDelegate](./sip.js.peerconnectiondelegate.md) \| undefined | A delegate which provides access to the peer connection event handlers. |
|  [remoteMediaStream](./sip.js.sessiondescriptionhandler.remotemediastream.md) |  | MediaStream | The remote media stream currently being received. |
|  [sessionDescriptionHandlerConfiguration](./sip.js.sessiondescriptionhandler.sessiondescriptionhandlerconfiguration.md) |  | [SessionDescriptionHandlerConfiguration](./sip.js.sessiondescriptionhandlerconfiguration.md) | Configuration options. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [applyModifiers(sdp, modifiers)](./sip.js.sessiondescriptionhandler.applymodifiers.md) |  | Applies modifiers to SDP prior to setting the local or remote description. |
|  [close()](./sip.js.sessiondescriptionhandler.close.md) |  | Stop tracks and close peer connection. |
|  [createDataChannel(options)](./sip.js.sessiondescriptionhandler.createdatachannel.md) |  | Create a data channel. |
|  [createLocalOfferOrAnswer(options)](./sip.js.sessiondescriptionhandler.createlocalofferoranswer.md) |  | Depending on current signaling state, create a local offer or answer. |
|  [getDescription(options, modifiers)](./sip.js.sessiondescriptionhandler.getdescription.md) |  | Creates an offer or answer. |
|  [getLocalMediaStream(options)](./sip.js.sessiondescriptionhandler.getlocalmediastream.md) |  | Get a media stream from the media stream factory and set the local media stream. |
|  [getLocalSessionDescription()](./sip.js.sessiondescriptionhandler.getlocalsessiondescription.md) |  | Gets the peer connection's local session description. |
|  [hasDescription(contentType)](./sip.js.sessiondescriptionhandler.hasdescription.md) |  | Returns true if the SessionDescriptionHandler can handle the Content-Type described by a SIP message. |
|  [iceGatheringComplete()](./sip.js.sessiondescriptionhandler.icegatheringcomplete.md) |  | Called when ICE gathering completes and resolves any waiting promise. |
|  [sendDtmf(tones, options)](./sip.js.sessiondescriptionhandler.senddtmf.md) |  | Send DTMF via RTP (RFC 4733). Returns true if DTMF send is successful, false otherwise. |
|  [setDescription(sdp, options, modifiers)](./sip.js.sessiondescriptionhandler.setdescription.md) |  | Sets an offer or answer. |
|  [setLocalMediaStream(stream)](./sip.js.sessiondescriptionhandler.setlocalmediastream.md) |  | Sets the peer connection's sender tracks and local media stream tracks. |
|  [setLocalSessionDescription(sessionDescription)](./sip.js.sessiondescriptionhandler.setlocalsessiondescription.md) |  | Sets the peer connection's local session description. |
|  [setRemoteSessionDescription(sessionDescription)](./sip.js.sessiondescriptionhandler.setremotesessiondescription.md) |  | Sets the peer connection's remote session description. |
|  [setRemoteTrack(track)](./sip.js.sessiondescriptionhandler.setremotetrack.md) |  | Sets a remote media stream track. |
|  [updateDirection(options)](./sip.js.sessiondescriptionhandler.updatedirection.md) |  | Depending on the current signaling state and the session hold state, update transceiver direction. |
|  [waitForIceGatheringComplete(restart, timeout)](./sip.js.sessiondescriptionhandler.waitforicegatheringcomplete.md) |  | Wait for ICE gathering to complete. |

